// file: ngrn_debug_0.cc
//

// isip include files
//
#include "ngram_node.h"
#include "ngram_node_constants.h"

// method: debug_cc
//
// arguments:
//  FILE* fp: (input) a open file pointer
//  char_1* message: (input) a message to be displayed
//
// return: a logical_1 flag indicating success
//
logical_1 Ngram_node::debug_cc(FILE* fp_a, char_1* message_a) {
  
  // dump the contents of the class to the file
  //
  fprintf(fp_a, "%s::%s word_d = %p\n", NGRAM_NODE_CLASS_NAME,
	  message_a, word_d);
  
  fprintf(fp_a, "%s::%s next_node_d = %p\n", NGRAM_NODE_CLASS_NAME,
	  message_a, next_node_d);
  
  fprintf(fp_a, "%s::%s lmscore_d = %f\n", NGRAM_NODE_CLASS_NAME,
	  message_a, lmscore_d);

  fprintf(fp_a, "%s::%s backoff_d = %f\n", NGRAM_NODE_CLASS_NAME,
	  message_a, backoff_d);

  fprintf(fp_a, "%s::%s num_next_nodes_d = %ld\n", NGRAM_NODE_CLASS_NAME,
	  message_a, num_next_nodes_d);

  // exit gracefully
  //
  return ISIP_TRUE;
}
